/*
 * EchoSurvey
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 19, 2001
 */

package com.omh;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class EchoSurvey
        extends HttpServlet
{
    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
        throws ServletException, java.io.IOException
    {
        // Set the content type of the response
        resp.setContentType("text/html");

        // Create a PrintWriter to write the response
        java.io.PrintWriter out =
            new java.io.PrintWriter(resp.getOutputStream());

        // Print a standard header
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Survey Complete</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("<h1><center>Your survey has been processed!");
        out.println("</center></h1><hr><br>");
        out.println("Values were:");
        out.println("<dir>");

        // Get the name
        String name = req.getParameter("name");
        out.println("Name=" + name + "<br>");

        // Get the email address
        String email = req.getParameter("email");
        out.println("Email=" + email + "<br>");

        // Get the age
        String age = req.getParameter("age");
        out.println("Age=" + age + "<br>");

        // Get the operating system. There could be more than one
        // value
        String values[] = req.getParameterValues("os");
        out.print("Operating Systems=");
        if (values != null)
        {
            for (int i = 0; i < values.length; i++)
            {
                if (i > 0) out.print(", ");
                out.print(values[i]);
            }
        }
        out.println("<br>");

        // Get the 'more information' flag
        String more = req.getParameter("more");
        out.println("More information=" + more + "<br>");

        // Get the comments
        String comments = req.getParameter("comments");
        out.println("Comments:<br>");
        out.println("<dir>");

        // Comment lines are separated by a carriage return/line feed
        // pair - convert them to an HTML line break <br>
        out.println(toHTML(comments));
        out.println("</dir>");

        out.println("</dir>");

        // Wrap up
        out.println("</body>");
        out.println("</html>");
        out.flush();
    }

    /**
    * <p>Convert any carriage return/line feed pairs into
    * an HTML line break command (<br>)
    *
    * @param line Line to convert
    * @return line converted line
    */
    private String toHTML(String line)
    {
        if (line == null)
        {
            return null;
        }

        StringBuffer sb = new StringBuffer();

        // Loop through and find the carriage return. Assume that
        // the following character is a line feed
        int begin = 0;
        while (true)
        {
            int pos = line.indexOf(0x0D, begin);
            if (pos < 0)
            {
                break;
            }

            sb.append(line.substring(begin, pos));
            sb.append("<br>");

            // Skip the line feed
            begin = pos + 1;
        }

        // Append whatever is left
        sb.append(line.substring(begin));

        return sb.toString();
    }
}
