/*
 * TestContextAttributes
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 4, 2001
 */

package com.omh;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * Simple servlet for testing a ServletContextAttributeListener
 */
public class TestContextAttributes
        extends HttpServlet
{
    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
        throws ServletException, IOException
    {
        resp.setContentType("text/html");

        // Get an output stream that takes into account
        // the proper character encoding
        PrintWriter out = resp.getWriter();

        // Get the context
        ServletContext context = getServletContext();

        // Set, modify, and delete an attribute
        String name = "com.omh.name";

        out.println("Setting " + name + " to Bob<br>");
        context.setAttribute(name, "Bob");
        out.println("Setting " + name + " to Larry<br>");
        context.setAttribute(name, "Larry");
        out.println("Removing " + name);
        context.removeAttribute(name);
    }
}