/*
 * TestSessionAttributes
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 4, 2001
 */

package com.omh;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.IOException;
import java.io.PrintWriter;

public class TestSessionAttributes
        extends HttpServlet
{
    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
        throws ServletException, IOException
    {
        resp.setContentType("text/html");

        // Get an output stream that takes into account
        // the proper character encoding
        PrintWriter out = resp.getWriter();

        // Get the session
        out.println("Creating new session<br>");
        HttpSession session = req.getSession();

        // Set, modify, and delete an attribute
        String name = "com.omh.session.name";

        out.println("Setting " + name + " to Junior<br>");
        session.setAttribute(name, "Junior");
        out.println("Setting " + name + " to Laura<br>");
        session.setAttribute(name, "Laura");
        out.println("Removing " + name + "<br>");
        session.removeAttribute(name);

        // Invalidate (or destroy) the session
        out.println("Destroying session");
        session.invalidate();
    }
}
