/*
 * CodeGen
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 27, 2001
 */

package com.omh.codeGen;

import java.io.IOException;

public interface CodeGen
{
    /**
     * Sets the interface to use
     *
     * @param name Interface name
     */
    public void setInterfaceName(String name);

    /**
     * Sets the object to use
     *
     * @param name Object name
     */
    public void setObjectName(String name);

    /**
     * Generates the source file.
     */
    public void generate() throws IOException;

}
