/*
 * MathInterface
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 25, 2001
 */

package com.omh.codeGen.math;

/**
 * This interface defines the methods available for
 * performing math
 */
public interface MathInterface
{
    /**
     * Adds two numbers
     */
    double add(double a, double b);

    /**
     * Subtracts two numbers
     */
    double subtract(double a, double b);

    /**
     * Multiplies two numbers
     */
    double multiply(double a, double b);

}
