/*
 * RemoteMathLiteClient
 *
 * Generated by com.omh.codeGen.ServletGenLiteClient
 *  on Fri Nov 30 22:55:26 EST 2001
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 */

package com.omh.codeGen.math;

import java.io.*;
import com.omh.tunnel.client.*;

/**
 * This class implements the lite client for tunneling
 * calls to the com.omh.codeGen.math.Math object. 'Lite' clients use
 * simple data input and output streams and can be used
 * with JDK 1.0.2
 */
public class RemoteMathLiteClient
    extends com.omh.tunnel.client.TunnelLiteClient
    implements com.omh.codeGen.math.MathInterface
{

    /**
     * Constructs a new RemoteMathLiteClient for the
     * given URL. This will create a new com.omh.codeGen.math.Math
     * object on the server as well.
     */
    public RemoteMathLiteClient(String url)
        throws TunnelException, IOException
    {
        // Append the remote server name
        url += "RemoteMathLiteServer";

        // Set the URL
        _setURL(new java.net.URL(url));

        // Initialize the client and server
        _initialize();  
    }
  
    public double add(double p0, double p1)
        {
            double retValue = 0;
            try {
                // Create an internal buffer
                ByteArrayOutputStream baos = new ByteArrayOutputStream();

                // Create a data stream to write the request
                DataOutputStream out =
                    (DataOutputStream) _createHeader(baos, 0);
                out.writeDouble(p0);
                out.writeDouble(p1);

                // Invoke the method
                DataInputStream in = 
                    (DataInputStream) _invokeMethod(baos.toByteArray());

                // Get the return value
                retValue = in.readDouble();
                out.close();
                in.close();
            }
            catch (java.io.IOException ex) {
                ex.printStackTrace();
            }
            catch (TunnelException ex) {
                ex.printStackTrace();
            }
            return retValue;
        }

    public double subtract(double p0, double p1)
        {
            double retValue = 0;
            try {
                // Create an internal buffer
                ByteArrayOutputStream baos = new ByteArrayOutputStream();

                // Create a data stream to write the request
                DataOutputStream out =
                    (DataOutputStream) _createHeader(baos, 1);
                out.writeDouble(p0);
                out.writeDouble(p1);

                // Invoke the method
                DataInputStream in = 
                    (DataInputStream) _invokeMethod(baos.toByteArray());

                // Get the return value
                retValue = in.readDouble();
                out.close();
                in.close();
            }
            catch (java.io.IOException ex) {
                ex.printStackTrace();
            }
            catch (TunnelException ex) {
                ex.printStackTrace();
            }
            return retValue;
        }

    public double multiply(double p0, double p1)
        {
            double retValue = 0;
            try {
                // Create an internal buffer
                ByteArrayOutputStream baos = new ByteArrayOutputStream();

                // Create a data stream to write the request
                DataOutputStream out =
                    (DataOutputStream) _createHeader(baos, 2);
                out.writeDouble(p0);
                out.writeDouble(p1);

                // Invoke the method
                DataInputStream in = 
                    (DataInputStream) _invokeMethod(baos.toByteArray());

                // Get the return value
                retValue = in.readDouble();
                out.close();
                in.close();
            }
            catch (java.io.IOException ex) {
                ex.printStackTrace();
            }
            catch (TunnelException ex) {
                ex.printStackTrace();
            }
            return retValue;
        }

   
}
