/*
 * LongestFirstComparator
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Oct 26, 2001
 */

package com.omh.filters;

import java.util.Comparator;

/**
 * A comparator for use with a SortedMap that sorts with
 * the longest string first
 */
public class LongestFirstComparator
        implements Comparator
{
    public int compare(Object o1, Object o2)
    {
        int n = 0;

        String s1 = (String) o1;
        String s2 = (String) o2;
        if (s1.length() < s2.length())
        {
            n = 1;
        }
        else if (s1.length() > s2.length())
        {
            n = -1;
        }
        else
        {
            // If the strings are equal length use their
            // natural sort order
            n = s1.compareTo(s2);
        }
        return n;
    }
}
