/*
 * MyContextListener
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 2, 2001
 */

package com.omh.listeners;

import javax.servlet.ServletContextListener;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContext;

/**
 * Simple example of implementing the application lifecycle
 * event listener ServletContextListener
 */
public class MyContextListener
        implements ServletContextListener
{
    public void contextInitialized(ServletContextEvent event)
    {
        // Grab ahold of the ServletContext
        ServletContext context = event.getServletContext();

        context.log(context.getServletContextName() + " initialized");
    }

    public void contextDestroyed(ServletContextEvent event)
    {
        // Grab ahold of the ServletContext
        ServletContext context = event.getServletContext();

        context.log(context.getServletContextName() + " destroyed");
    }
}
