/*
 * MySessionListener
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 2, 2001
 */

package com.omh.listeners;

import javax.servlet.http.HttpSessionListener;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSession;
import javax.servlet.ServletContext;

/**
 * Simple example of implementing the application lifecycle
 * event listener HttpSessionListener
 */
public class MySessionListener
        implements HttpSessionListener
{
    public void sessionCreated(HttpSessionEvent event)
    {
        // Get the session that was created
        HttpSession session = event.getSession();

        // Get the ServletContext
        ServletContext context =
                session.getServletContext();

        String sessionId = session.getId();
        context.log("Session " + sessionId + " created");
    }

    public void sessionDestroyed(HttpSessionEvent event)
    {
        // Get the session that was destroyed
        HttpSession session = event.getSession();

        // Get the ServletContext
        ServletContext context =
                session.getServletContext();

        String sessionId = session.getId();
        context.log("Session " + sessionId + " destroyed");
    }
}
