/*
 * HelloWorld.c
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Dec 20, 2001
 */

#include <windows.h>
#include <jni.h>
#include "com_omh_nativeCode_HelloWorld.h"

#define HELLO "Hello World"

/*
 * Class:     com_omh_nativeCode_HelloWorld
 * Method:    getMessage
 * Signature: ()Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL
  Java_com_omh_nativeCode_HelloWorld_getMessage
    (JNIEnv *env, jobject caller)
{
    return (*env)->NewStringUTF(env, HELLO);
}

/*
 * Class:     com_omh_nativeCode_HelloWorld
 * Method:    printMessage
 * Signature: (Ljava/io/PrintWriter;)V
 */
JNIEXPORT void JNICALL
  Java_com_omh_nativeCode_HelloWorld_printMessage
    (JNIEnv *env, jobject caller, jobject out)
{
    jclass jcls;
    jmethodID jmid;
        
    // Get the PrintWriter class and find the println method
    jcls = (*env)->GetObjectClass(env, out);
    if (jcls) {
        jmid = (*env)->GetMethodID(env, jcls, "println",
                                   "(Ljava/lang/String;)V");
        if (jmid == 0) {
            return;
        }

        // Invoke the println method on the PrintStream object
        (*env)->CallVoidMethod(env, out, jmid,
                               (*env)->NewStringUTF(env, HELLO));
    }
}
