/*
 * HelloWorld
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Dec 20, 2001
 */

package com.omh.nativeCode;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * A servlet that displays the current java.library.path system
 * variable
 */
public class ShowPath
        extends HttpServlet
{
    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
        throws ServletException, IOException
    {
        // Set the content type of the response
        resp.setContentType("text/html");

        // Get the PrintWriter to write the response
        PrintWriter out = resp.getWriter();

        // Create the header
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Java Library Path</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("Java Library Path = " +
                    System.getProperty("java.library.path"));

        // Wrap up
        out.println("</body>");
        out.println("</html>");
        out.flush();
    }
}

