/*
 * ScheduledRunnableComparator
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Oct 31, 2001
 */

package com.omh.scheduler;

import java.util.Comparator;

/**
 * Comparator for maintaining a sorted Set of
 * ScheduledRunnable objects
 */
public class ScheduledRunnableComparator
        implements Comparator
{
    public int compare(Object o1, Object o2)
    {
        int n = 0;

        ScheduledRunnable r1 = (ScheduledRunnable) o1;
        ScheduledRunnable r2 = (ScheduledRunnable) o2;

        if (r1.getTime() < r2.getTime())
        {
            n = -1;
        }
        else if (r1.getTime() > r2.getTime())
        {
            n = 1;
        }
        return n;
    }

}
