/*
 * Decoder
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Oct 22, 2001
 */

package com.omh.security;

public class Decoder
{

    /**
     * The base64 method was posted to the SERVLET-INTEREST
     * newsgroup (SERVLET-INTEREST@JAVA.SUN.COM). It is
     * assumed to be public domain.
     */
    static final char[] b2c=
    {
        'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P',
        'Q','R','S','T','U','V','W','X','Y','Z','a','b','c','d','e','f',
        'g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v',
        'w','x','y','z','0','1','2','3','4','5','6','7','8','9','+','/'
    };

    static final char pad = '=';
    static byte[] c2b = null;

    /**
     * Decode a base64 encoded string.
     * @param s The base64 encoded string
     * @return The decoded string
     */
    public static String base64(String s)
    {
        if (c2b==null)
        {
            c2b = new byte[256];
            for (byte b=0;b<64;b++) c2b[(byte)b2c[b]]=b;
        }

        byte[] nibble = new byte[4];
        char[] decode = new char[s.length()];
        int d=0;
        int n=0;
        byte b;
        for (int i=0;i<s.length();i++)
        {
            char c = s.charAt(i);
            nibble[n] = c2b[(int)c];

            if (c==pad) break;

            switch(n)
            {
                case 0:
                    n++;
                    break;

                case 1:
                    b=(byte)(nibble[0]*4 + nibble[1]/16);
                    decode[d++]=(char)b;
                    n++;
                    break;

                case 2:
                    b=(byte)((nibble[1]&0xf)*16 + nibble[2]/4);
                    decode[d++]=(char)b;
                    n++;
                    break;

                default:
                    b=(byte)((nibble[2]&0x3)*64 + nibble[3]);
                    decode[d++]=(char)b;
                    n=0;
                    break;
            }
        }

        String decoded = new String(decode,0,d);
        return decoded;
    }

}
