/*
 * Binder
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Oct 18, 2001
 */

package com.omh.session;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.IOException;
import java.io.PrintWriter;

public class Binder
        extends HttpServlet
{
    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
        throws ServletException, java.io.IOException
    {
        // Set the content type of the response
        resp.setContentType("text/html");

        // Get the PrintWriter to write the response
        java.io.PrintWriter out = resp.getWriter();

        // Get the session object for this client session.
        // The parameter indicates to create a session
        // object if one does not exist
        HttpSession session = req.getSession(true);

        // Create a new SessionObject
        SessionObject o = new SessionObject(getServletContext());

        // Put the new SessionObject into the session
        session.setAttribute("Binder.object", o);

        // Print a standard header
        out.println("<html>");
        out.println("<head>");
        out.println("<title>Session Binder</title>");
        out.println("</head>");
        out.println("<body>");
        out.println("Object bound to session " +
        session.getId());

        // Wrap up
        out.println("</body>");
        out.println("</html>");
        out.flush();
    }
}

