/*
 * SessionObject
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Oct 18, 2001
 */

package com.omh.session;

import javax.servlet.*;
import javax.servlet.http.*;

public class SessionObject
        implements HttpSessionBindingListener
{
    ServletContext context;

    public SessionObject(ServletContext context)
    {
        // Save the ServletContext so we can use the
        // log method later
        this.context = context;
    }

    public void valueBound(HttpSessionBindingEvent event)
    {
        // Output the fact that we are being bound
        context.log("" + (new java.util.Date()) +
            " Binding " + event.getName() +
            " to session " +
            event.getSession().getId());
    }

    public void valueUnbound(HttpSessionBindingEvent event)
    {
        // Output the fact that we are being bound
        context.log("" + (new java.util.Date()) +
            " Unbinding " + event.getName() +
            " from session " +
            event.getSession().getId());
    }

}
