/*
 * IndyInterface
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 25, 2001
 */

package com.omh.tunnel;

/**
 * This interface defines the methods available for
 * performing queries on the Indianapolis 500 database
 */
public interface IndyInterface
{
    /**
     * Connects to the database.
     *
     * @return True if the database connection was established
     */
    boolean connect();

    /**
     * Closes the database connection
     */
    void close();

    /**
     * Given the year return the corresponding Indianapolis
     * 500 record
     *
     * @param year Year of the race
     * @return Indy 500 record or null if not found
     */
    IndyRecord query(int year);
}
