/*
 * EchoSurvey
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 19, 2001
 */

package com.omh.wap;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

/**
 * Simple servlet that generates a basic WML page for a WAP
 * device
 */
public class HelloPhone
        extends HttpServlet
{
    public void service(HttpServletRequest req,
                       HttpServletResponse resp)
        throws ServletException, IOException
    {
        // Set the content type of the response
        resp.setContentType("text/vnd.wap.wml");

        // Create a PrintWriter to write the response
        PrintWriter out =
            new PrintWriter(resp.getOutputStream());

        // Print a standard header
        out.println("<?xml version=\"1.0\"?>");
        out.println("<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\"");
        out.println(" \"http://www.wapforum.org/DTD/wml_1.1.xml\">");
        out.println("<wml>");
        out.println(" <card id=\"main\">");
        out.println("  <p>");
        out.println("   Hello Phone!");
        out.println("  </p>");
        out.println(" </card>");

        // Wrap up
        out.println("</wml>");
        out.flush();
    }
}
