/*
 * EmployeeServlet
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 *
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 15, 2001
 */

package com.omh.webapps;

import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;
import java.io.*;

public class EmployeeServlet
        extends HttpServlet
{
    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
        throws ServletException, IOException
    {
        resp.setContentType("text/html");

        // Get an output stream that takes into account
        // the proper character encoding
        PrintWriter out = resp.getWriter();

        // Create an array of employee info. This
        // should be read out of a database
        EmployeeInfo[] info = new EmployeeInfo[3];
        info[0] = new EmployeeInfo("Bob", "498", "555-3029");
        info[1] = new EmployeeInfo("Larry", "315", "555-5092");
        info[2] = new EmployeeInfo("George", "982", "555-9286");

        // Now check to see if we are being requested by
        // a manager. If so, add the home phone number
        // column in the employee table
        boolean manager = req.isUserInRole("mgr");

        out.println("<html>");
        out.println("<head>");
        out.println("<title>Employee List");
        out.println("</title>");
        out.println("</head><body>");

        out.println("<center>");
        out.println("Welcome, " + req.getRemoteUser());
        out.println("<br><br>");
        out.println("<table border width=80%>");

        out.println("<tr><th>Name</th>" +
                    "<th>Extension</th>");
        if (manager)
        {
            out.println("<th>Home Phone</th>");
        }
        out.println("</tr>");

        for (int i = 0; i < info.length; i++)
        {
            out.println("<tr>");
            out.println("<td>" + info[i].name + "</td>");
            out.println("<td>" + info[i].extension + "</td>");
            if (manager)
            {
                out.println("<td>" + info[i].homePhone + "</td>");
            }
            out.println("<tr>");
        }

        out.println("</table></center>");

        out.println("</body>");
        out.println("</html>");
        out.flush();
    }
}

