/*
 * ProcessServlet
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 12, 2001
 */

package com.omh.webapps;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class ProcessServlet
        extends HttpServlet
{
    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
        throws ServletException, IOException
    {
        resp.setContentType("text/html");

        // Get an output stream that takes into account
        // the proper character encoding
        PrintWriter out = resp.getWriter();

        out.println("<html>");
        out.println("<head>");
        out.println("<title>Servlet Processor");
        out.println("</title>");
        out.println("</head><body>");

        out.println("<center><table border width=80%>");

        out.println("<tr><td>");
        out.println("Context Path</td><td>");
        out.println(req.getContextPath());
        out.println("</td></tr>");

        out.println("<tr><td>");
        out.println("Request URI</td><td>");
        out.println(req.getRequestURI());
        out.println("</td></tr>");

        out.println("<tr><td>");
        out.println("Servlet Path</td><td>");
        out.println(req.getServletPath());
        out.println("</td></tr>");

        out.println("<tr><td>");
        out.println("Path Info</td><td>");
        out.println(req.getPathInfo());
        out.println("</td></tr>");

        out.println("<tr><td>");
        out.println("Query String</td><td>");
        out.println(req.getQueryString());
        out.println("</td></tr>");

        out.println("</table></center>");

        out.println("</body>");
        out.println("</html>");
        out.flush();
    }
}
