/*
 * WebAppProperties
 *
 * Copyright (c) 1998-2002 Karl Moss. All Rights Reserved.
 * 
 * Developed in conjunction with the book "Java Servlets Developer's
 * Guide" published by McGraw-Hill/Osborne Media Group
 *
 * You may study, use, modify, and distribute this software for any
 * purpose.
 *
 * This software is provided WITHOUT WARRANTY either expressed or
 * implied.
 *
 * @author  Karl Moss
 * @date Nov 11, 2001
 */

package com.omh.webapps;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class WebAppProperties
        extends HttpServlet
{
    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
        throws ServletException, IOException
    {
        resp.setContentType("text/html");

        // Get an output stream that takes into account
        // the proper character encoding
        PrintWriter out = resp.getWriter();

        // Get the context
        ServletContext context = getServletContext();

        // Output the web application name
        String displayName = context.getServletContextName();
        if (displayName == null)
        {
            displayName = "(no display-name element defined)";
        }

        out.println("<html>");
        out.println("<head>");
        out.println("<title>Web Application Properties");
        out.println("</title>");
        out.println("</head><body>");
        out.println("<h1>Web Application Properties</h2>");
        out.println("<br>Name: " + displayName);
        out.println("<br>Context: " + req.getContextPath());

        // Create a table with all of the servlet context
        // initialization parameters
        out.println("<h2><center>");
        out.println("Initialization Parameters</center></h2>");
        out.println("<br>");

        out.println("<center><table border width=80%>");

        Enumeration enum = context.getInitParameterNames();

        while (enum.hasMoreElements()) {
          String name = (String) enum.nextElement();
          out.println("<tr>");
          out.println("<td>" + name + "</td>");
          out.println("<td>" +
                  context.getInitParameter(name) + "</td>");
          out.println("</tr>");
        }
        out.println("</table></center>");

        out.println("</body>");
        out.println("</html>");
        out.flush();
    }
}
